org.apache.avro.path

## Interface PathTracingException<T extends Throwable>

Type Parameters:
  `T` - the regular (user-facing) exception that will be `summarize(Schema)`ed out of this class

All Known Implementing Classes:
  TracingAvroTypeException, TracingClassCastException, TracingNullPointException

    public interface PathTracingException<T extends Throwable>

interface for exceptions that can trace the AvroPath of an error

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `summarize(Schema root)` produces a user-facing exception to be thrown back out to user code
`void` `tracePath(PathElement step)` appends a path element to the trace.

### Method Detail

#### tracePath

    void tracePath(PathElement step)

appends a path element to the trace. expected to be called in reverse-order as the exception bubbles up the stack

Parameters:
  `step` - an AvroPath step tracing back from the location of the original exception towards the root of the data graph

#### summarize

    T summarize(Schema root)

produces a user-facing exception to be thrown back out to user code

Parameters:
  `root` - the root object for the operation that generated the exception
Returns:
  an exception